Package org.apache.synapse.transport.passthru

# Class PassThroughHttpMultiSSLListener

java.lang.Object
org.apache.synapse.transport.passthru.PassThroughHttpListener
org.apache.synapse.transport.passthru.PassThroughHttpMultiSSLListener

All Implemented Interfaces:
  `org.apache.axis2.transport.TransportListener`, `SSLProfileLoader`

public class PassThroughHttpMultiSSLListener extends PassThroughHttpListener implements SSLProfileLoader

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.passthru.PassThroughHttpListener

  `ACTIVE_CONNECTION_MONITOR_DELAY, log`

  ### Fields inherited from interface org.apache.axis2.transport.TransportListener

  `HOST_ADDRESS, PARAM_PORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassThroughHttpMultiSSLListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(org.apache.axis2.context.ConfigurationContext cfgCtx, org.apache.axis2.description.TransportInDescription transportInDescription)`
  `protected ServerConnFactoryBuilder`
  `initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)`
  `protected Scheme`
  `initScheme()`
  `void`
  `reloadConfig(org.apache.axis2.description.ParameterInclude transport)`
  Reload SSL profiles and reset connections in PassThroughHttpMultiSSLListener

  ### Methods inherited from class org.apache.synapse.transport.passthru.PassThroughHttpListener

  `destroy, getEPRForService, getEPRsForService, getSessionContext, getTransportName, maintenanceShutdown, pause, reload, reloadDynamicSSLConfig, reloadSpecificEndPoints, resume, start, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PassThroughHttpMultiSSLListener

    public PassThroughHttpMultiSSLListener()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext cfgCtx, org.apache.axis2.description.TransportInDescription transportInDescription) throws org.apache.axis2.AxisFault
    Specified by:
      `init` in interface `org.apache.axis2.transport.TransportListener`
    Overrides:
      `init` in class `PassThroughHttpListener`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### initScheme

    protected Scheme initScheme()
    Overrides:
      `initScheme` in class `PassThroughHttpListener`

  - ### initConnFactoryBuilder

    protected ServerConnFactoryBuilder initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Overrides:
      `initConnFactoryBuilder` in class `PassThroughHttpListener`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### reloadConfig

    public void reloadConfig(org.apache.axis2.description.ParameterInclude transport) throws org.apache.axis2.AxisFault
    Reload SSL profiles and reset connections in PassThroughHttpMultiSSLListener
    Specified by:
      `reloadConfig` in interface `SSLProfileLoader`
    Parameters:
      `transport` - TransportInDescription of the configuration
    Throws:
      `org.apache.axis2.AxisFault`